Bug 1674537 - LASzip contains FastAC code which does not allow modification
Summary: LASzip contains FastAC code which does not allow modification
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: laszip
Version: rawhide
Hardware: All
OS: All
unspecified
medium
Target Milestone: ---
Assignee: Devrim Gündüz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-Legal
TreeView+ depends on / blocked
 
Reported: 2019-02-11 15:27 UTC by Bas Couwenberg
Modified: 2019-04-15 15:51 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2019-04-15 15:51:22 UTC


Attachments (Terms of Use)
Documentation for BSD relicensing (201.77 KB, application/pdf)
2019-03-28 15:21 UTC, Tom "spot" Callaway
no flags Details
Revised header with BSD relicensing as approved by copyright holders (4.78 KB, text/plain)
2019-03-28 15:21 UTC, Tom "spot" Callaway
no flags Details

Description Bas Couwenberg 2019-02-11 15:27:33 UTC
LASzip contains code from FastAC [0] [1] which contains the remark:

  // Permission to copy and redistribute this code is hereby granted, provided -
  // that this warning and copyright notices are not removed or altered.       -

Note that permission to modify the code is not granted.

This makes the code incompatible with the LGPL-2.1+ used for the LASzip code, as reported by one of the Debian FTP masters. [2]

How does Fedora consider this issue, seeing that the laszip package is in Fedora and EPEL?

My understanding of the LGPL is that this issue prevents distribution of the laszip code as discussed on the OSGeo Standards list. [3]

[0] http://www.cipr.rpi.edu/research/SPIHT/EW_Code/FastAC_Readme.pdf
[1] www.cipr.rpi.edu/research/SPIHT/EW_Code/FastAC.zip
[2] https://alioth-lists.debian.net/pipermail/pkg-grass-devel/2014-August/021701.html
[3] https://lists.osgeo.org/pipermail/standards/2015-April/000863.html

Comment 1 Tom "spot" Callaway 2019-03-26 13:37:37 UTC
Bas, thanks for pointing this out. Let's see if I can get this relicensed first. (Yes, I know there have been multiple attempts, maybe I'll get lucky.)

Comment 2 Bas Couwenberg 2019-03-26 16:54:36 UTC
Thanks for taking this on.

I sincerely hope you'll have more luck to actually get relicensed FastAC code published. One of the FastAC authors, Amir Said, said he was "glad to see it used in Free Software projects", but never got to publishing relicensed FastAC code.

Comment 3 Tom "spot" Callaway 2019-03-26 17:10:02 UTC
Well, we don't need them to republish sources as long as we have a clear and documented chain of license approval. I've heard back from Amir, and he is still willing, but I have yet to hear back from the other copyright holder.

Comment 4 Tom "spot" Callaway 2019-03-28 15:21 UTC
Created attachment 1549115 [details]
Documentation for BSD relicensing

Comment 5 Tom "spot" Callaway 2019-03-28 15:21 UTC
Created attachment 1549116 [details]
Revised header with BSD relicensing as approved by copyright holders

Comment 6 Tom "spot" Callaway 2019-03-28 15:24:26 UTC
While we wait for them to do a new code release, this documentation clarifies that we can use the FastAC code under BSD-2-Clause.

Comment 7 Tom "spot" Callaway 2019-04-15 15:51:22 UTC
They have updated the FastAC code upstream to reflect the license change to BSD-2-Clause:

http://ecse.rpi.edu/~pearlman/SPIHT/EW_Code/FastAC_fix-nh.zip

LASzip upstream already has this changed in git and it landed in 3.4.0, but the relicensing permission is not tied to a specific version, so I'm going to close out this Fedora bug.

Thanks to everyone for their efforts in closing this one out. 5 years is not my record for a licensing fix, but it's close. :)


Note You need to log in before you can comment on or make changes to this bug.